Delete Object Records
Delete Object Records in bulk. Admins can also define special deletion rules for objects, which affects how Vault behaves when you attempt to delete an object record. Learn more about limitations on object record deletion in Vault Help
If you need to delete a parent record along with all of its children and grandchildren, use the Cascade Delete endpoint.
Note that you cannot use this API to delete user__sys records. Use the Update Object Records endpoint to set the status__v field to inactive.
- The maximum input file size is 1GB.
- The values in the input must be UTF-8 encoded.
- CSVs must follow the standard RFC 4180 format, with some exceptions.
- The maximum batch size is 500.
DELETE
/api/{version}/vobjects/{object_name}Headers
Section link for Headers| Name | Description |
|---|---|
Content-Type | text/csv or application/json |
Accept | application/json (default) or text/csv |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{object_name} | The name of the object, for example, product__v. |
Body Parameters
Section link for Body ParametersUpload parameters as a JSON or CSV file.
| Name | Description |
|---|---|
idconditional | The system-assigned object record ID to delete. Not required if providing a unique field identifier (idParam) such as external_id__v. |
external_id__vconditional | Instead of id, you can use this user-defined document external ID. |
Query Parameters
Section link for Query Parameters| Name | Description |
|---|---|
idParam | If you're identifying objects in your input by a unique field, add idParam={fieldname} to the request endpoint. You can use any object field which has unique set to true in the object metadata. For example, idParam=external_id__v. |
Admin may set other standard or custom object fields to required. Use the Object Metadata API to retrieve all fields configured on objects. You can update any object field with editable: true.
Request
Section link for Requestcurl -X DELETE -H "Authorization: {SESSION_ID}" \
-H "Content-Type: text/csv" \
-H "Accept: text/csv" \
--data-binary @"C:\Vault\Object Records\delete_object_records.csv" \
https://myvault.veevavault.com/api/v23.1/vobjects/product__vResponse
Section link for Response{
"responseStatus": "SUCCESS",
"data": [
{
"responseStatus": "SUCCESS"
},
{
"responseStatus": "SUCCESS"
},
{
"responseStatus": "FAILURE",
"errors": [
{
"type": "INVALID_DATA",
"message": "Error message describing why this object record was not deleted."
}
]
}
]
}